Skip to main content
PUT
/
api
/
faqs
/
{faqId}
Update an FAQ
curl --request PUT \
  --url https://app.demandiq.com/api/faqs/{faqId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "userQuestion": "<string>",
  "cannedAnswer": "<string>",
  "relatedSlideId": "<string>"
}
'
{
  "faq": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userQuestion": "<string>",
    "cannedAnswer": "<string>",
    "relatedSlideId": "<string>",
    "audioUrl": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

faqId
string<uuid>
required

Body

application/json
userQuestion
string
cannedAnswer
string

Response

FAQ updated

faq
object